Running a CE.NET 5 app on a CE.NET 4.2 device
Moderators: C:Amie

Jump to page : 1
Now viewing page 1 [15 messages per page]

Forums · General Discussion · Handheld PC General Discussion

futsy
Posted 2017-11-27 8:18 PM
#
H/PC Newbie




Posts:
1
Member Nº:
33640
Location:
Bulgaria
Status:
Hello.
Can please somebody help me with this task - I have a mobile device, running CE.NET 4.2 OS - it is a controller for a proffesional surveyor's GPS-instrument - the brand is Topcon (same for the controller and the instrument). The main app for controlling the GPS-instrument that I use - well, it has an important upgrade from the last version that can run on my device. The upgraded version can run only on a device with CE.NET 5 OS, so it deoes not let me install it. But I think it also checks the model of the device, so it is another point of blocking an installation - it wold say that it is not able to run on my device, which is a model FC-100, and I think they made it to run on at leas FC-200 . But I really need the 2-3 additional functions that the upgraded version has, so I really want to know if there is a way that I can install it on my CE.NET 4.2 device... I mean - the upgraded version is almost the same, it is not even that different like size and I am sure that the uncompatibility was kind of artificial, if you get what I mean - they just stopped supporting the earlier controllers, but apart from that I think it should be able to run it... If I knew how to upgrade the 4.2 system to 5.0, I would try that too, but I don't... and even if I did - the second block that I am talking about - the one that checks the model number - would again prevent me from installing the app... So if somebody could give me an idea about that - like is there some way of maybe editing a registry or something - please let me know. Thanx!
P.S. I tried wceloadext - no success there...
 Top of the page
CE Geek
Posted 2017-11-27 11:51 PM
#


Global Moderator
H/PC Oracle

10000100050010010010025


Posts:
11849
Member Nº:
845
Location:
Southern California
Status:
Windows CE .NET only refers to version 4 (4.0, 4.1, and 4.2). In version 5 the name went back to just CE.

The OS version required by the app is written into its code (04 00 14 hexadecimal for 4.20 decimal, or 05 00 00 for 5.0), so you can't bypass this requirement through the registry. And in newer versions of CE at least, trying to hexedit the OS version can lead to the app not running at all (and is usually a violation of the license terms to use the app anyway). There's no other way to emulate the higher OS version.
 Top of the page
hpc:factor« View previous thread · Handheld PC General Discussion · View next thread »

Jump to page : 1
Now viewing page 1 [15 messages per page]

Jump to forum :
Search this forum
Printer friendly version
E-mail a link to this thread
Seconds to generate: 0.234 - Cached queries : 56 - Executed queries : 9
Server Time now is: Sunday, 17 December 2017 - 19:39